# $Revision: 1.26 $, $Date: 2011/02/27 11:25:18 $
%define		_status		stable
%define		_pearname	Crypt_RC4
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - Encryption class for RC4 encryption
Summary(pl.UTF-8):	%{_pearname} - Klasa szyfrująca w algorytmie RC4
Name:		php-pear-%{_pearname}
Version:	1.0.3
Release:	1
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	571483de3a74b74f49c25e49ace04d89
URL:		http://pear.php.net/package/Crypt_RC4/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Obsoletes:	php-pear-Crypt_Rc4 < 1.0.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RC4 encryption class.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Klasa szyfrująca w algorytmie RC4.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Crypt/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Crypt_RC4.spec,v $
Revision 1.26  2011/02/27 11:25:18  glen
- up to 1.0.3, renamed to php-pear-Crypt_RC4

Revision 1.25  2008/01/31 12:17:04  glen
- rel 4

Revision 1.24  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.23  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.22  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.21  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.20  2005/10/05 20:11:06  glen
- rel 3

Revision 1.19  2005/09/19 21:43:39  glen
- integer BR

Revision 1.18  2005/09/19 20:35:06  glen
- use new pear build system

Revision 1.17  2004/12/03 21:57:03  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.16  2004/05/30 13:13:48  adamg
- fixed english information about status of the package

Revision 1.15  2003/10/21 08:06:40  adamg
- updated to 1.0.2; fixed %%install

Revision 1.14  2003/10/07 20:54:19  adamg
- do not use macros in URL

Revision 1.13  2003/10/03 20:46:54  adamg
- updated to 1.0.1
- license fix (its PHP, not PHP 2.02)

Revision 1.12  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.11  2003/05/28 08:58:35  adamg
- massive attack: added source0-md5

Revision 1.10  2003/05/25 06:25:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/02/01 21:24:44  blues
- added status info

Revision 1.8  2002/12/12 19:19:00  blues
- 1.0 - final version of that class

Revision 1.7  2002/10/14 23:38:16  misto
- new rpm-php-requires/provides scripts
- release 5

Revision 1.6  2002/09/04 15:16:25  kloczek
- release 4.

Revision 1.5  2002/09/04 10:34:58  blues
- small fix in macros

Revision 1.4  2002/07/12 22:59:16  blues
- release 3 (rebuild with new rpm)

Revision 1.3  2002/07/04 01:12:14  blues
- release 2

Revision 1.2  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.1  2002/06/29 12:22:05  blues
- initial release
